# Algorithms_in_C++: operations_on_datastructures/union_of_two_arrays.cpp File Reference

Loading...
Searching...
No Matches
union_of_two_arrays.cpp File Reference

Implementation for the Union of two sorted Arrays algorithm. More...

`#include <algorithm>`
`#include <cassert>`
`#include <iostream>`
`#include <vector>`
Include dependency graph for union_of_two_arrays.cpp:

## Namespaces

namespace | operations_on_datastructures
| for std::vector
namespace | tests
| Testcases to check Union of Two Arrays.

## Functions

void | operations_on_datastructures::print (const std::vector< int32_t > &array)
| Prints the values of a vector sequentially, ending with a newline character. More...
std::vector< int32_t > | operations_on_datastructures::get_union (const std::vector< int32_t > &first, const std::vector< int32_t > &second)
| Gets the union of two sorted arrays, and returns them in a vector. More...
void | tests::test1 ()
| A Test to check an simple case. More...
void | tests::test2 ()
| A Test to check an empty vector. More...
void | tests::test3 ()
| A Test to check an invalid shift value. More...
void | tests::test4 ()
| A Test to check a very large input. More...
void | tests::test5 ()
| A Test to check a shift of zero. More...
void | tests::test6 ()
| A Test to check correct functionality with an array sorted using std::sort. More...
static void | test ()
| Function to test the correctness of get_union() function. More...
int | main ()
| main function More...

## Detailed Description

Implementation for the Union of two sorted Arrays algorithm.

The Union of two arrays is the collection of all the unique elements in the first array, combined with all of the unique elements of a second array. This implementation uses ordered arrays, and an algorithm to correctly order them and return the result as a new array (vector).

See also
  intersection_of_two_arrays.cpp

Author
  Alvin

## Function Documentation

## main()

int main | ( | void |  | ) |

main function

Returns
  0 on exit

{
test(); // run self-test implementations
return 0;
}
test
static void test()
Function to test the correctness of get_union() function.
Definition: union_of_two_arrays.cpp:204
Here is the call graph for this function:

## test()

static void test | ( |  | ) |

static

Function to test the correctness of get_union() function.

Returns
  void

{
tests::test1();
tests::test2();
tests::test3();
tests::test4();
tests::test5();
tests::test6();
}
tests::test1
void test1()
A Test to check an simple case.
Definition: array_left_rotation.cpp:75
tests::test4
void test4()
A Test to check a very large input.
Definition: array_left_rotation.cpp:120
tests::test3
void test3()
A Test to check an invalid shift value.
Definition: array_left_rotation.cpp:105
tests::test6
void test6()
A Test to check correct functionality with an array sorted using std::sort.
Definition: intersection_of_two_arrays.cpp:166
tests::test2
void test2()
A Test to check an empty vector.
Definition: array_left_rotation.cpp:90
tests::test5
void test5()
A Test to check a shift of zero.
Definition: array_left_rotation.cpp:143
Here is the call graph for this function: